## sjaakii 0~beta5b

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4 FATAL_ERROR)

# Set build type. Do this *before* we set the project name
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo Profile."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

set(CMAKE_CONFIGURATION_TYPES "${CMAKE_BUILD_TYPE}" CACHE INTERNAL "internal")

if(COMMAND cmake_policy)
   cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

project(sjaakxx CXX C)

# Search in the `cmake' directory for additional CMake modules.
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Declare program options
option(WANT_WERROR "Treat warnings as errors" off)
option(WANT_NATIVE "Optimise for the current machine" off)
option(WANT_ASSERT "Enable assertions in the code (for debugging)" off)
option(WANT_OPT    "Standard optimisations on/off" on)
option(WANT_POPCNT "Use POPCNT instruction" off)
option(WANT_SSE42  "Switch on SSE 4.2" on)
option(WANT_SSE3   "Switch on SSE 3" off)
option(WANT_SSE2   "Switch on SSE 2" off)
option(WANT_32BIT  "Force compiler to generate 32 bit code" off)
option(WANT_64BIT  "Force compiler to generate 64 bit code" off)
#option(WANT_GUI    "Wether you want to build the GUI or not (requires Allegro)" off)
#option(WANT_MGUI   "Wether you want to build the mobile GUI or not (requires Allegro) (experimental)" off)
option(WANT_STATIC  "Wether you want to static link to standard libraries" off)
option(WANT_PROFILE_GENERATE "Generate executable suitable for running profile-guided optimisation" off)
option(WANT_PROFILE_USE "Generate executable using data from profile-generate run" off)
option(WANT_PROFILE "Generate executable suitable for running with gprof" off)
option(WANT_RELEASE "Generate a binary with a mangled name to represent the current platform" off)

set(SJAAKII_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/games/sjaakii/" CACHE STRING "Install location for data files (${CMAKE_INSTALL_PREFIX}/share/games/sjaakii/)")

# Parse user options
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
if(WANT_OPT)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -finline")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -O3 -finline")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -finline")
endif(WANT_OPT)
if(WANT_WERROR)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-unused -Werror")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wall -Wno-unused -Werror")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unused -Werror")
endif(WANT_WERROR)
if(WANT_NATIVE)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -march=native -mtune=native")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -march=native -mtune=native")
endif(WANT_NATIVE)
if(WANT_POPCNT)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mpopcnt")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -mpopcnt")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mpopcnt")
endif(WANT_POPCNT)
if(WANT_SSE42)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse4.2")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -msse4.2")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse4.2")
endif(WANT_SSE42)
if(WANT_SSE3)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse3")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -msse3")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse3")
endif(WANT_SSE3)
if(WANT_SSE2)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -msse2")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
endif(WANT_SSE2)
if(WANT_PROFILE_GENERATE)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-generate")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-generate")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-generate")
endif(WANT_PROFILE_GENERATE)
if(WANT_PROFILE_USE)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-use")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-use")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-use")
endif(WANT_PROFILE_USE)
if(WANT_ASSERT)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DDEBUGMODE")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -DDEBUGMODE")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DDEBUGMODE")
endif(WANT_ASSERT)
if(WANT_32BIT)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -m32")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -m32")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -m32")
endif(WANT_32BIT)
if(WANT_PROFILE)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pg -g")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg -g")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg -g")
endif(WANT_PROFILE)
if(WANT_64BIT)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -m64")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -m64")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -m64")
endif(WANT_64BIT)
if(WANT_STATIC)
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -static")
   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -static")
endif(WANT_STATIC)

# Search for C header files in these directories.
include_directories(
   ${CMAKE_SOURCE_DIR}/include
   ${CMAKE_BINARY_DIR}/include
)

set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DSVNVERSION=\\\"beta5b_r176\\\"")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSVNVERSION=\\\"beta5b_r176\\\"")

if(WANT_GUI)
   set(WANT_ALLEGRO 1)
endif(WANT_GUI)

if(WANT_MGUI)
   set(WANT_ALLEGRO 1)
endif(WANT_MGUI)

if(WANT_ALLEGRO)
   # Find zlib
   find_package(ZLIB)
   if (ZLIB_FOUND)
      list(APPEND GUI_LIBS ${ZLIB_LIBRARIES})
      include_directories(SYSTEM ${ZLIB_INCLUDE_DIRS})
   else (ZLIB_FOUND)
      message(FATAL_ERROR "Can't find zlib library")
   endif(ZLIB_FOUND)


   # Find Allegro
   set(ALLEGRO5_VERSION "5.1")
   find_package(Allegro5)

   if (ALLEGRO5_FOUND)
      list(APPEND GUI_LIBS ${ALLEGRO5_LIBRARIES})
      include_directories(SYSTEM ${ALLEGRO5_INCLUDE_DIRS})
   else (ALLEGRO5_FOUND)
      message(FATAL_ERROR "Can't find Allegro library")
   endif(ALLEGRO5_FOUND)

   # Find Allegro addons
   find_package(Allegro5Main)
   if (ALLEGRO5MAIN_FOUND)
      list(APPEND GUI_LIBS ${ALLEGRO5MAIN_LIBRARIES})
      include_directories(SYSTEM ${ALLEGRO5MAIN_INCLUDE_DIRS})
   else (ALLEGRO5MAIN_FOUND)
      message(FATAL_ERROR "Can't find Allegro main addon")
   endif(ALLEGRO5MAIN_FOUND)

   find_package(Allegro5Primitives)
   if (ALLEGRO5PRIMITIVES_FOUND)
      list(APPEND GUI_LIBS ${ALLEGRO5PRIMITIVES_LIBRARIES})
      include_directories(SYSTEM ${ALLEGRO5PRIMITIVES_INCLUDE_DIRS})
   else (ALLEGRO5PRIMITIVES_FOUND)
      message(FATAL_ERROR "Can't find Allegro Primitives addon")
   endif(ALLEGRO5PRIMITIVES_FOUND)

   find_package(Allegro5Font)
   if (ALLEGRO5FONT_FOUND)
      list(APPEND GUI_LIBS ${ALLEGRO5FONT_LIBRARIES})
      include_directories(SYSTEM ${ALLEGRO5FONT_INCLUDE_DIRS})
   else (ALLEGRO5FONT_FOUND)
      message(FATAL_ERROR "Can't find Allegro font addon")
   endif(ALLEGRO5FONT_FOUND)

   find_package(Allegro5TTF)
   if (ALLEGRO5TTF_FOUND)
      list(APPEND GUI_LIBS ${ALLEGRO5TTF_LIBRARIES})
      include_directories(SYSTEM ${ALLEGRO5TTF_INCLUDE_DIRS})
   else (ALLEGRO5TTF_FOUND)
      message(FATAL_ERROR "Can't find Allegro TTF addon")
   endif(ALLEGRO5TTF_FOUND)

   find_package(Allegro5Image)
   if (ALLEGRO5IMAGE_FOUND)
      list(APPEND GUI_LIBS ${ALLEGRO5IMAGE_LIBRARIES})
      include_directories(SYSTEM ${ALLEGRO5IMAGE_INCLUDE_DIRS})
   else (ALLEGRO5IMAGE_FOUND)
      message(FATAL_ERROR "Can't find Allegro image addon")
   endif(ALLEGRO5IMAGE_FOUND)

   find_package(Allegro5Dialog)
   if (ALLEGRO5DIALOG_FOUND)
      list(APPEND GUI_LIBS ${ALLEGRO5DIALOG_LIBRARIES})
      include_directories(SYSTEM ${ALLEGRO5DIALOG_INCLUDE_DIRS})
   else (ALLEGRO5DIALOG_FOUND)
      message(FATAL_ERROR "Can't find Allegro DIALOG addon")
   endif(ALLEGRO5DIALOG_FOUND)
endif(WANT_ALLEGRO)

# Set install directory
if (NOT SJAAKII_DATA_DIR)
   set(SJAAKII_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/games/sjaakii/")
endif (NOT SJAAKII_DATA_DIR)
set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DDATADIR=\\\"${SJAAKII_DATA_DIR}\\\"")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DDATADIR=\\\"${SJAAKII_DATA_DIR}\\\"")

# code source files
include(FileList)

# Make a link library out of the source files
add_library ("libsjaak" STATIC ${SJAAK_SRC_FILES})

# Look for the standard math library
find_library(M_LIB m)
target_link_libraries("libsjaak" ${M_LIB})

# Look for the standard math library
find_library(RT_LIB rt)
if (RT_LIB_FOUND)
   target_link_libraries("libsjaak" ${RT_LIB})
endif (RT_LIB_FOUND)

add_executable ("sjaakii" src/xboard.cc)
target_link_libraries("sjaakii" libsjaak)

# Find readline
find_package(Readline)
if (READLINE_FOUND)
   target_link_libraries("sjaakii" ${READLINE_LIBRARY})
   include_directories(SYSTEM ${READLINE_INCLUDE_DIRS})
   set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DHAVE_READLINE")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAVE_READLINE")
else (READLINE_FOUND)
   message(WARNING "Can't find readline library - disabling support")
endif(READLINE_FOUND)

if(WANT_RELEASE)
   set(PLATF "-unknown")
   if(CMAKE_SYSTEM_NAME MATCHES "Windows")
      set(PLATF "-win")
   endif(CMAKE_SYSTEM_NAME MATCHES "Windows")
   if(CMAKE_SYSTEM_NAME MATCHES "Linux")
      set(PLATF "-linux")
   endif(CMAKE_SYSTEM_NAME MATCHES "Linux")
   if(CMAKE_SYSTEM_NAME MATCHES "Darwin")
      set(PLATF "-mac")
   endif(CMAKE_SYSTEM_NAME MATCHES "Darwin")
   set(SSE "-sse")
   if(WANT_SSE2)
      set(SSE "-sse2")
   endif(WANT_SSE2)
   if(WANT_SSE3)
      set(SSE "-sse3")
   endif(WANT_SSE3)
   if(WANT_SSE42)
      set(SSE "-sse42")
   endif(WANT_SSE42)

   set(POPCNT "")
   if(WANT_POPCNT)
      set(POPCNT "-popcnt")
   endif(WANT_POPCNT)

   set(BITS "")
   if(WANT_64BIT)
      set(BITS "64")
   endif(WANT_64BIT)
   if(WANT_32BIT)
      set(BITS "32")
   endif(WANT_32BIT)
   
   set(VERSION "-${Project_WC_REVISION}")
   
   set(RELEASE_NAME "sjaakii${VERSION}${PLATF}${BITS}${SSE}${POPCNT}")
   set_target_properties(sjaakii PROPERTIES OUTPUT_NAME "${RELEASE_NAME}")
endif(WANT_RELEASE)

# Installation targets
install (TARGETS "sjaakii" RUNTIME DESTINATION "bin")
install (FILES "${CMAKE_SOURCE_DIR}/variants.txt"     DESTINATION "share/games/sjaakii/")
install (FILES "${CMAKE_SOURCE_DIR}/misc/sjaakii.eng" DESTINATION "share/games/plugins/xboard/")
install (FILES "${CMAKE_SOURCE_DIR}/misc/sjaakii.png" DESTINATION "share/games/plugins/logos/")

=== debian/changelog ===
sjaakii (0~beta5b-1) unstable; urgency=medium

  * New upstream beta release.

 -- Yann Dirson <dirson@debian.org>  Sat, 06 Dec 2014 18:05:15 +0100

sjaakii (0~beta5-1) unstable; urgency=medium

  * New upstream beta release.

 -- Yann Dirson <dirson@debian.org>  Wed, 03 Dec 2014 20:49:38 +0100

sjaakii (0~beta4b-1) unstable; urgency=medium

  * New upstream upload for beta4 (replaced tarball) to fix crash with
    variants defined in variants.txt.

 -- Yann Dirson <dirson@debian.org>  Mon, 01 Dec 2014 23:23:05 +0100

sjaakii (0~beta4-1) unstable; urgency=medium

  * New upstream beta release.
  * Added libreadline-dev as build-dep.
  * Use dh_install --fail-missing

 -- Yann Dirson <dirson@debian.org>  Sat, 29 Nov 2014 11:05:19 +0100

sjaakii (0~beta3-1) unstable; urgency=low

  * Initial release (Closes: #770384).
  * Deactivated SSE42 instruction set to get a portable binary.

 -- Yann Dirson <dirson@debian.org>  Sun, 23 Nov 2014 16:57:59 +0100

=== debian/control ===
Source: sjaakii
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), cmake, dh-buildinfo,
 libreadline-dev
Standards-Version: 3.9.6
Homepage: http://www.eglebbk.dds.nl/program/chess-index.html
Vcs-Git: git://anonscm.debian.org/collab-maint/sjaakii.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/sjaakii.git;a=summary

Package: sjaakii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xboard | eboard | scid | tagua
Description: Sjaak II - computer player for Chess variants, including Shogi and XiangQi
 Sjaak II is a computer player for a number of Chess-like games.  It
 can be used as a CECP (XBoard) engine, or in a colorful terminal
 mode.

Package: sjaakii-dbg
Section: debug
Priority: extra
Architecture: any
Depends: sjaakii (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for sjaakii
 Sjaak II is a computer player for a number of Chess-like games.
 .
 This package contains detached debug symbols.

=== debian/watch ===
version=3
opts="uversionmangle=s/^beta/0~beta/" \
http://www.eglebbk.dds.nl/program/download/ sjaakii-(.*)-src\.tar\.gz

## sjaakii 0~beta5b+r180

=== debian/changelog ===
sjaakii (0~beta5b+r180-1) unstable; urgency=medium

  * New upstream release
  * Fixed Vcs-Browser URL.
  * Add copyright paragraphs for files that were originally GPL-2 and
    public-domain (noticed by Thorsten Alteholz).

 -- Yann Dirson <dirson@debian.org>  Fri, 23 Jan 2015 22:29:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.6
 Homepage: http://www.eglebbk.dds.nl/program/chess-index.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/sjaakii.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/sjaakii.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sjaakii.git
 
 Package: sjaakii
 Architecture: any

=== debian/watch ===
version=3
opts="uversionmangle=s/^beta/0~beta/;s/^180$/0~beta5b+r180/" \
http://www.eglebbk.dds.nl/program/download/ sjaakii-(.*)-src\.tar\.gz

## sjaakii 1.0~rc1

=== CMakeLists.txt ===
--- 
+++ 
@@ -117,8 +117,8 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DSVNVERSION=\\\"beta5b_r176\\\"")
-set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSVNVERSION=\\\"beta5b_r176\\\"")
+set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DSVNVERSION=\\\"1.0RC1\\\"")
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSVNVERSION=\\\"1.0RC1\\\"")
 
 if(WANT_GUI)
    set(WANT_ALLEGRO 1)

=== debian/changelog ===
sjaakii (1.0~rc1-1) unstable; urgency=medium

  * New upstream pre-release.
  * Added menu hints for running in XBoard with Shogi and XiangQi themes.
  * Updated debian/watch for rc versions

 -- Yann Dirson <dirson@debian.org>  Mon, 02 Feb 2015 20:48:12 +0100

## sjaakii 1.0~rc2b

=== debian/changelog ===
sjaakii (1.0~rc2b-1) unstable; urgency=medium

  * New upstream pre-release.
  * Remove use of __DATE__ for reproducibility.
  * Emphasize the "many" supported variants in short description.

 -- Yann Dirson <dirson@debian.org>  Tue, 03 Feb 2015 22:43:45 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/^beta/0~beta/;s/rc/~rc/;s/^180$/0~beta5b+r180/" \
http://www.eglebbk.dds.nl/program/download/ sjaakii-(.*)-src\.tar\.gz

## sjaakii 1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
 # Declare program options
+option(WANT_WARN   "Generate compiler warnings" on)
 option(WANT_WERROR "Treat warnings as errors" off)
 option(WANT_NATIVE "Optimise for the current machine" off)
 option(WANT_ASSERT "Enable assertions in the code (for debugging)" off)
@@ -40,12 +41,16 @@
 set(SJAAKII_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/games/sjaakii/" CACHE STRING "Install location for data files (${CMAKE_INSTALL_PREFIX}/share/games/sjaakii/)")
 
 # Parse user options
-set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
 if(WANT_OPT)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -finline")
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -O3 -finline")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -finline")
 endif(WANT_OPT)
+if(WANT_WARN)
+   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused")
+   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wall -Wextra -Wno-unused")
+   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused")
+endif(WANT_WARN)
 if(WANT_WERROR)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-unused -Werror")
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wall -Wno-unused -Werror")
@@ -117,8 +122,9 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DSVNVERSION=\\\"1.0RC1\\\"")
-set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSVNVERSION=\\\"1.0RC1\\\"")
+set (SJAAKIIVERSION   "\"1.0\"")
+set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 
 if(WANT_GUI)
    set(WANT_ALLEGRO 1)
@@ -218,13 +224,20 @@
 target_link_libraries("libsjaak" ${M_LIB})
 
 # Look for the standard math library
-find_library(RT_LIB rt)
-if (RT_LIB_FOUND)
-   target_link_libraries("libsjaak" ${RT_LIB})
-endif (RT_LIB_FOUND)
+include(CheckLibraryExists)
+CHECK_LIBRARY_EXISTS(rt clock_gettime "time.h" HAVE_CLOCK_GETTIME)
+if (HAVE_CLOCK_GETTIME)
+   target_link_libraries("libsjaak" rt)
+   set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DHAVE_CLOCK_GETTIME")
+endif (HAVE_CLOCK_GETTIME)
 
 add_executable ("sjaakii" src/xboard.cc)
 target_link_libraries("sjaakii" libsjaak)
+
+add_custom_command(TARGET "sjaakii"
+   POST_BUILD
+   COMMAND pod2man -s 6 ${CMAKE_SOURCE_DIR}/sjaakii.pod | gzip > ${CMAKE_BINARY_DIR}/sjaakii.6.gz
+)
 
 # Find readline
 find_package(Readline)
@@ -279,7 +292,8 @@
 endif(WANT_RELEASE)
 
 # Installation targets
-install (TARGETS "sjaakii" RUNTIME DESTINATION "bin")
+install (TARGETS "sjaakii"                            RUNTIME DESTINATION "bin")
+install (FILES "${CMAKE_BINARY_DIR}/sjaakii.6.gz"     DESTINATION "share/man/man6")
 install (FILES "${CMAKE_SOURCE_DIR}/variants.txt"     DESTINATION "share/games/sjaakii/")
 install (FILES "${CMAKE_SOURCE_DIR}/misc/sjaakii.eng" DESTINATION "share/games/plugins/xboard/")
 install (FILES "${CMAKE_SOURCE_DIR}/misc/sjaakii.png" DESTINATION "share/games/plugins/logos/")

=== debian/changelog ===
sjaakii (1.0-1) unstable; urgency=medium

  * Final upstream release.
    * stopped using __DATE__, dropping our patch.
  * Changed debian/watch to only include versions starting with a digit or
    the "beta" string (eg. excluding those starting with "svn").

 -- Yann Dirson <dirson@debian.org>  Mon, 16 Feb 2015 18:36:01 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/^beta/0~beta/;s/rc/~rc/;s/^180$/0~beta5b+r180/" \
http://www.eglebbk.dds.nl/program/download/ sjaakii-((?:\d|beta).*)-src\.tar\.gz

## sjaakii 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,7 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (SJAAKIIVERSION   "\"1.0\"")
+set (SJAAKIIVERSION   "\"1.0 RC7\"")
 set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")

=== debian/changelog ===
sjaakii (1.0.0-1) unstable; urgency=medium

  * Final upstream release.
  * Fixed CMakeLists so the version advertises as 1.0.0, not 1.0rc7.

 -- Yann Dirson <dirson@debian.org>  Mon, 23 Mar 2015 23:27:00 +0100

sjaakii (1.0rc5-1) unstable; urgency=medium

  * New upstream pre-release - the previous upload was not final 1.0
    after all (final release was posponed but the tarball stayed around).
  * Fix debian/watch to look at the official download page instead of the
    download dir, to avoid unwanted snapshot and other problems.

 -- Yann Dirson <dirson@debian.org>  Wed, 25 Feb 2015 23:21:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: xboard | eboard | scid | tagua
-Description: Sjaak II - computer player for Chess variants, including Shogi and XiangQi
+Description: Sjaak II - computer player for many Chess variants, including Shogi and XiangQi
  Sjaak II is a computer player for a number of Chess-like games.  It
  can be used as a CECP (XBoard) engine, or in a colorful terminal
  mode.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DWANT_SSE42=no

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin debian/tmp/usr/games

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=sjaakii-dbg

override_dh_installdocs:
	dh_installdocs
	dh_buildinfo

## sjaakii 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,7 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (SJAAKIIVERSION   "\"1.0 RC7\"")
+set (SJAAKIIVERSION  "\"1.3.0\"")
 set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")

=== debian/changelog ===
sjaakii (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Mar 2016 22:51:22 +0200

sjaakii (1.2.1-1) unstable; urgency=medium

  * New upstream release.
    * Removed patch fix-version, now useless.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Mar 2016 23:40:38 +0100

## sjaakii 1.3.1a

=== CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,7 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (SJAAKIIVERSION  "\"1.3.0\"")
+set (SJAAKIIVERSION  "\"1.3.1a\"")
 set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")

=== debian/changelog ===
sjaakii (1.3.1a-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:09:48 +0000

sjaakii (1.3.1a-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to dbgsym.

 -- Yann Dirson <dirson@debian.org>  Sun, 10 Jul 2016 23:56:16 +0200

## sjaakii 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.4 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 # Set build type. Do this *before* we set the project name
 if(NOT CMAKE_BUILD_TYPE)
@@ -32,6 +32,7 @@
 option(WANT_64BIT  "Force compiler to generate 64 bit code" off)
 #option(WANT_GUI    "Wether you want to build the GUI or not (requires Allegro)" off)
 #option(WANT_MGUI   "Wether you want to build the mobile GUI or not (requires Allegro) (experimental)" off)
+option(WANT_REFEREE "Wether you want to build the game referee" on)
 option(WANT_STATIC  "Wether you want to static link to standard libraries" off)
 option(WANT_PROFILE_GENERATE "Generate executable suitable for running profile-guided optimisation" off)
 option(WANT_PROFILE_USE "Generate executable using data from profile-generate run" off)
@@ -122,7 +123,7 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (SJAAKIIVERSION  "\"1.3.1a\"")
+set (SJAAKIIVERSION  "\"1.4.1\"")
 set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 
@@ -249,6 +250,12 @@
 else (READLINE_FOUND)
    message(WARNING "Can't find readline library - disabling support")
 endif(READLINE_FOUND)
+
+if(WANT_REFEREE)
+   add_executable ("sjef" src/sjef.c src/timer/timer.c src/misc/keypressed.c src/misc/genrand.c src/misc/pipe2.c src/misc/sprt.c)
+   target_link_libraries("sjef" ${M_LIB})
+   target_compile_options(sjef PRIVATE -std=gnu99)
+endif(WANT_REFEREE)
 
 if(WANT_RELEASE)
    set(PLATF "-unknown")

=== debian/changelog ===
sjaakii (1.4.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113507)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 19:31:38 +0300

sjaakii (1.4.1-3) unstable; urgency=medium

  * Team upload (Debian namespace).
  * Remove dh-buildinfo usage. (Closes: #1089905)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 14 Dec 2024 14:41:45 +0100

sjaakii (1.4.1-2) unstable; urgency=medium

  * Switch Vcs-* to salsa.
  * Bump Standards-Version to 4.5.0, no change.

 -- Yann Dirson <dirson@debian.org>  Fri, 03 Apr 2020 11:48:20 +0200

sjaakii (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Sun, 06 Aug 2017 20:33:44 +0200

=== debian/control ===
Source: sjaakii
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9.20160114), cmake,
 libreadline-dev
Standards-Version: 4.5.0
Homepage: http://www.eglebbk.dds.nl/program/chess-index.html
Vcs-Git: https://salsa.debian.org/debian/sjaakii.git
Vcs-Browser: https://salsa.debian.org/debian/sjaakii

Package: sjaakii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xboard | eboard | scid | tagua
Description: Sjaak II - computer player for many Chess variants, including Shogi and XiangQi
 Sjaak II is a computer player for a number of Chess-like games.  It
 can be used as a CECP (XBoard) engine, or in a colorful terminal
 mode.

=== debian/rules ===
--- 
+++ 
@@ -27,14 +27,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	mv debian/tmp/usr/bin debian/tmp/usr/games
+	mv debian/sjaakii/usr/bin debian/sjaakii/usr/games
 
 override_dh_install:
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=sjaakii-dbg
-
-override_dh_installdocs:
-	dh_installdocs
-	dh_buildinfo
+	dh_strip --dbgsym-migration='sjaakii-dbg (<< 1.3.1a-1~)'

=== debian/watch ===
version=3
opts="uversionmangle=s/^beta/0~beta/" \
http://www.eglebbk.dds.nl/program/chess-download.html download/sjaakii-((?:\d|beta).*)-src\.tar\.gz

#opts="uversionmangle=s/^beta/0~beta/;s/rc/~rc/;s/^180$/0~beta5b+r180/" \
#http://www.eglebbk.dds.nl/program/download/ sjaakii-((?:\d|beta).*)-src\.tar\.gz
